Package org.springframework.web.servlet.tags

# Class HtmlEscapeTag

java.lang.Object
jakarta.servlet.jsp.tagext.TagSupport
org.springframework.web.servlet.tags.RequestContextAwareTag
org.springframework.web.servlet.tags.HtmlEscapeTag

All Implemented Interfaces:
  `IterationTag`, `JspTag`, `Tag`, `TryCatchFinally`, `Serializable`

public class HtmlEscapeTag extends RequestContextAwareTag
The `<htmlEscape>` tag sets default HTML escape value for the current page. The actual value can be overridden by escaping-aware tags. The default is "false".

Note: You can also set a "defaultHtmlEscape" web.xml context-param. A page-level setting overrides a context-param.

Attribute Summary
Attribute | Required? | Runtime Expression? | Description
--- | --- | --- | ---
defaultHtmlEscape | true | true | Set the default value for HTML escaping, to be put into the current PageContext.

Since:
  04.03.2003
Author:
  Juergen Hoeller
See Also:
  - `HtmlEscapingAwareTag.setHtmlEscape(boolean)`
  - Serialized Form

## Field Summary

### Fields inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

`logger, REQUEST_CONTEXT_PAGE_ATTRIBUTE`

### Fields inherited from class jakarta.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface jakarta.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface jakarta.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`HtmlEscapeTag()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`doStartTagInternal()`
Called by doStartTag to perform the actual work.
`void`
`setDefaultHtmlEscape(boolean defaultHtmlEscape)`
Set the default value for HTML escaping, to be put into the current PageContext.

### Methods inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

`doCatch, doFinally, doStartTag, getRequestContext`

### Methods inherited from class jakarta.servlet.jsp.tagext.TagSupport

`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HtmlEscapeTag

public HtmlEscapeTag()

## Method Details

### setDefaultHtmlEscape

public void setDefaultHtmlEscape(boolean defaultHtmlEscape)
Set the default value for HTML escaping, to be put into the current PageContext.

### doStartTagInternal

protected int doStartTagInternal() throws JspException
Description copied from class: `RequestContextAwareTag`
Called by doStartTag to perform the actual work.

Specified by:
  `doStartTagInternal` in class `RequestContextAwareTag`
Returns:
  same as TagSupport.doStartTag
Throws:
  `JspException`
See Also:
  - `TagSupport.doStartTag()`